package com.ruoyi.mall.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 职业薪资对象 mall_career_salary
 * 
 * @author LCL
 * @date 2023-10-19
 */
public class MallCareerSalary extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 职业薪资主键ID */
    private Long careerSalaryId;

    /** 职业ID */
    @Excel(name = "职业ID")
    private Long careerId;

    /** 职业名称 */
    @Excel(name = "职业名称")
    private String careerName;

    /** 等级：0-低端，1-中低端，2-中端，3-中高端，4-高端 */
    @Excel(name = "等级：0-低端，1-中低端，2-中端，3-中高端，4-高端")
    private String level;

    /** 平均年薪 */
    @Excel(name = "平均年薪")
    private BigDecimal careerMoney;

    /** 收入排名 */
    @Excel(name = "收入排名")
    private Integer moneyRanking;

    /** 省id */
    @Excel(name = "省id")
    private Long provinceId;

    /** 市id */
    @Excel(name = "市id")
    private Long cityId;

    /** 区（县）id */
    @Excel(name = "区", readConverterExp = "县=")
    private Long areaId;

    /** 省名 */
    @Excel(name = "省名")
    private String provinceName;

    /** 市名 */
    @Excel(name = "市名")
    private String cityName;

    /** 区名 */
    @Excel(name = "区名")
    private String areaName;

    /** 城市划分等级 */
    @Excel(name = "城市划分等级",dictType = "city_level")
    private String cityLevel;


    /** 是否展示：0-展示，1-不展示 */
    @Excel(name = "是否展示：0-展示，1-不展示")
    private String isShow;

    /** 状态:：0-启用，1-不启用 */
    @Excel(name = "状态:：0-启用，1-不启用")
    private String status;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    private String delFlag;

    public void setCareerSalaryId(Long careerSalaryId) 
    {
        this.careerSalaryId = careerSalaryId;
    }

    public Long getCareerSalaryId() 
    {
        return careerSalaryId;
    }
    public void setCareerId(Long careerId) 
    {
        this.careerId = careerId;
    }

    public Long getCareerId() 
    {
        return careerId;
    }
    public void setCareerName(String careerName) 
    {
        this.careerName = careerName;
    }

    public String getCareerName() 
    {
        return careerName;
    }
    public void setLevel(String level) 
    {
        this.level = level;
    }

    public String getLevel() 
    {
        return level;
    }
    public void setCareerMoney(BigDecimal careerMoney) 
    {
        this.careerMoney = careerMoney;
    }

    public BigDecimal getCareerMoney() 
    {
        return careerMoney;
    }
    public void setMoneyRanking(Integer moneyRanking) 
    {
        this.moneyRanking = moneyRanking;
    }

    public Integer getMoneyRanking() 
    {
        return moneyRanking;
    }
    public void setProvinceId(Long provinceId) 
    {
        this.provinceId = provinceId;
    }

    public Long getProvinceId() 
    {
        return provinceId;
    }
    public void setCityId(Long cityId) 
    {
        this.cityId = cityId;
    }

    public Long getCityId() 
    {
        return cityId;
    }
    public void setAreaId(Long areaId) 
    {
        this.areaId = areaId;
    }

    public Long getAreaId() 
    {
        return areaId;
    }
    public void setProvinceName(String provinceName) 
    {
        this.provinceName = provinceName;
    }

    public String getProvinceName() 
    {
        return provinceName;
    }
    public void setCityName(String cityName) 
    {
        this.cityName = cityName;
    }

    public String getCityName() 
    {
        return cityName;
    }
    public void setAreaName(String areaName) 
    {
        this.areaName = areaName;
    }

    public String getAreaName() 
    {
        return areaName;
    }
    public void setIsShow(String isShow) 
    {
        this.isShow = isShow;
    }

    public String getIsShow() 
    {
        return isShow;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt) 
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt() 
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public String getCityLevel() {
        return cityLevel;
    }

    public void setCityLevel(String cityLevel) {
        this.cityLevel = cityLevel;
    }

    @Override
    public String toString() {
        return "MallCareerSalary{" +
                "careerSalaryId=" + careerSalaryId +
                ", careerId=" + careerId +
                ", careerName='" + careerName + '\'' +
                ", level='" + level + '\'' +
                ", careerMoney=" + careerMoney +
                ", moneyRanking=" + moneyRanking +
                ", provinceId=" + provinceId +
                ", cityId=" + cityId +
                ", areaId=" + areaId +
                ", provinceName='" + provinceName + '\'' +
                ", cityName='" + cityName + '\'' +
                ", areaName='" + areaName + '\'' +
                ", cityLevel='" + cityLevel + '\'' +
                ", isShow='" + isShow + '\'' +
                ", status='" + status + '\'' +
                ", sort=" + sort +
                ", remarks='" + remarks + '\'' +
                ", createAt='" + createAt + '\'' +
                ", updateAt='" + updateAt + '\'' +
                ", delFlag='" + delFlag + '\'' +
                '}';
    }
}
